using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.DAL
{
    public interface IWebSite
    {
        int Add(KstCMS.Model.SiteModel.WebSite Model);
        void Add(string[] FieldValues, params string[] FieldNames);
        void Delete(int SiteId);
        void Update(KstCMS.Model.SiteModel.WebSite Model);
        void Update(string[] FieldsValues, int SiteId, params string[] FieldNames);
        void Set_DefaultSite(int SiteId);
        bool Exists(int Id);
        bool Exists(string SiteVer);
        System.Data.DataSet GetList(string strWhere, string OrderBy, int Top, params string[] FieldName);
        int GetMaxId();
        KstCMS.Model.SiteModel.WebSite GetModel(int id, params string[] FieldName);
    }
}
